Create ZK proof
curl --request POST \
--url https://platform.usewarp.net/api/zk-proofs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"project_id": "<string>",
"circuit_path": "<string>"
}
'import requests
url = "https://platform.usewarp.net/api/zk-proofs"
payload = {
"name": "<string>",
"project_id": "<string>",
"circuit_path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', project_id: '<string>', circuit_path: '<string>'})
};
fetch('https://platform.usewarp.net/api/zk-proofs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proof": {
"id": "<string>",
"name": "<string>",
"project_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"circuit_path": "<string>",
"verification_key": "<string>",
"proving_key": "<string>"
}
}{
"error": "<string>",
"details": [
{}
]
}{
"error": "<string>",
"details": [
{}
]
}ZK Proofs
Create ZK proof
Create a new ZK proof
POST
/
api
/
zk-proofs
Create ZK proof
Was this page helpful?
⌘I

